package forum.control;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import forum.dao.DatabaseCreator;

/**
 * Servlet permettant d'initialiser la base de données si elle est vide.
 */

@WebServlet(urlPatterns = { "/drop" })
public class DropDBServlet extends HttpServlet {

    @Override
    /**
     * Logiquement, ça devrait plutôt être doPost...
     */
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        try {
            new DatabaseCreator().viderBase();
            resp.sendRedirect(req.getContextPath()+ "/db.jsp");
        } catch (SQLException e) {
            // On relance l'exception pour qu'elle soit visible de l'utilisateur.
            // En règle générale, ce type d'exceptions sera plutôt stocké dans un fichier de
            // log.
            throw new ServletException(e);
        }
    }

}