package forum.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * Création et suppression de la base de données.
 * Normalement pas dans cette application.
 * Les bases de données ne sont généralement pas créées par les logiciels qui les utilisent.
 */
public class DatabaseCreator {
    public void initialiserBase() throws SQLException {
        try (
            Connection db = ConnectionFactory.getInstance().buildConnection();
            Statement st = db.createStatement();
        ) {
            String[] sqls = {
                "create table auteur ("+
                    "id integer auto_increment primary key not null, "+
                    "login varchar(255) not null,"+
                    "password varchar(255) not null"+
                ")",
                "create table message ("+
                    "id integer auto_increment  primary key not null, "+
                    "titre varchar(255) not null,"+
                    "contenu varchar(10000) not null,"+
                    "id_auteur integer not null,"+
                    "foreign key (id_auteur) references auteur(id)"+
                ")",
                "insert into auteur values (1, 'turing', 'secret')",
                "insert into auteur values (2, 'lovelace', 'secret')",
                "insert into message values (1, 'test 1', 'blah blah 1', 1)",
                "insert into message values (2, 'test 2', 'blah blah 2', 2)",
                "insert into message values (3, 'test 3', 'blah blah 3', 1)",
                "insert into message values (4, 'test 4', 'blah blah 4', 2)",
                "insert into message values (5, 'test 5', 'blah blah 5', 2)"

            };
            for (String sql: sqls) {
                st.execute(sql);
            }
        }
    }

    public void viderBase() throws SQLException {
        try (
            Connection db = ConnectionFactory.getInstance().buildConnection();
            Statement st = db.createStatement();
        ) {
            String[] sqls = {
                "drop table message",
                "drop table auteur",
            };
            for (String sql: sqls) {
                st.execute(sql);
            }
        }
    }

    
}