package forum.demo;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.*;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Démonstration d'utilisation du JDBC.
 */
@WebServlet(urlPatterns = {"/demoTechnique"})
public class DemoTechnique extends HttpServlet {

    private static final String DB_URL = "jdbc:h2:tcp://localhost//tmp/toto";
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        try (
                Connection db = DriverManager.getConnection(DB_URL, "sa", "");
                Statement st = db.createStatement();
                ResultSet rs = st.executeQuery("select * from personne");
                PrintWriter w = resp.getWriter();) {
            while (rs.next()) {
                int id = rs.getInt("ID");
                String nom = rs.getString("NOM");
                String prenom = rs.getString("PRENOM");
                w.write(id+ " "+ nom + " "+ prenom+ "\n");
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
